Subiject: Occurence of proxied object

Description

| just had the case that | came in contact with the proxied representation of my "parent” entity, so it wasn't
\Acme\Blog\Domain\Model\Post but TYPO3\FLOW3\Persistence\Doctrine\Proxies\AcmeBlogDomainModelPost.
The chain was nothing more than

http://example.org/acme.blog/post/show?post[__identity]=abcd-12345-ehff

controlled by

public function showAction(\Acme\Blog\Domain\Model\Post $post) {
$this->view->assign('post', $post);
/I get_class($post) is that proxy one, also in all subsequent occurences/usages

Basically that lead to my CommentsViewHelper not working anymore, but | wonder if that might make trouble also in current, present
implementations; in the Widget controller there is also just used get_class($object).

| just absolutely don't know in what cases a proxy occurs and in what it doesn't.

Maybe you can say if that might be a problem.

Related issues:
related to TYPOS.Flow - Task # 34426: How to receive the correct class name f... Resolved 2012-02-29

Associated revisions

Revision ab8d4cd5 - 2012-03-16 15:34 - Adrian Foder
[BUGFIX] Catch occurence of object in proxied state

It may happen that a commentable object is in its
proxied state which breaks the functionality; this

patch makes use of the ReflectionService's class

name retrieval method.

Change-Id: 15ac21146bd9b6235bd3d64fce4d8b9b2239a39d0
Resolves: #34763

History

#1 - 2012-03-16 14:25 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/9695
#2 - 2012-03-16 15:35 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9695

#3 - 2012-03-21 14:43 - Bastian Waidelich
- Assigned To deleted (Bastian Waidelich)

#4 - 2012-05-10 15:12 - Karsten Dambekalns

- Assigned To set to Adrian Féder

With #34426 resolved that should be the way to get the class name...

#5 - 2012-10-31 09:43 - Adrian Féder

- Status changed from Needs Feedback to Resolved
